package pay.platform.core.common.domain;

import com.mybatisflex.annotation.Column;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 基础实体类
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString
public class BaseEntity extends BasisBaseEntity {

    /**
     * 创建者
     */
    @Schema(description = "创建人")
    @Column(value = "create_user")
    protected String createUser;

    /**
     * 更新者
     */
    @Schema(description = "更新人")
    @Column(value = "update_user")
    protected String updateUser;
}
