package pay.platform.mapper;

import com.mybatisflex.core.BaseMapper;
import com.mybatisflex.core.query.QueryWrapper;
import org.apache.ibatis.annotations.Mapper;
import pay.platform.domain.PayMerchant;
import pay.platform.domain.table.PayMerchantTableDef;

/**
 * 商户管理 映射层。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Mapper
public interface PayMerchantMapper extends BaseMapper<PayMerchant> {

    default void resetPassword(String username, String newPassword) {
        QueryWrapper queryWrapper = QueryWrapper.create().from(PayMerchantTableDef.PAY_MERCHANT)
                .where(PayMerchantTableDef.PAY_MERCHANT.USER_NAME.eq(username));
        PayMerchant sysUser = selectOneByQuery(queryWrapper);
        sysUser.setPassword(newPassword);
        update(sysUser);
    }

}
