package pay.platform.api.system.servcie;


import com.mybatisflex.core.service.IService;
import pay.platform.api.system.model.query.PayOrderQuery;
import pay.platform.api.system.model.vo.PayOrderVO;
import pay.platform.core.common.Result;
import pay.platform.core.common.domain.BasePage;
import pay.platform.domain.PayOrder;

/**
 * 通道管理 服务层。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
public interface PayOrderService extends IService<PayOrder> {
    BasePage<PayOrderVO> queryPage(PayOrderQuery query);


    /**
     * 回调商户
     *
     * @param payOrder
     * @param payMerchantAppKey
     */
    void notifyMerchant(String id);

    /**
     * 订单状态查询
     *
     * @param id
     */
    Result<String> syncOrderStatus(String id);
}