package pay.platform.api.system.servcie.impl;


import com.mybatisflex.core.query.QueryWrapper;
import com.mybatisflex.spring.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import pay.platform.api.system.servcie.PayMerchantAppKeyService;
import pay.platform.domain.PayMerchantAppKey;
import pay.platform.domain.table.PayMerchantAppKeyTableDef;
import pay.platform.mapper.PayMerchantAppKeyMapper;

import static pay.platform.domain.table.PayMerchantAppKeyTableDef.PAY_MERCHANT_APP_KEY;

/**
 * 商户扩展信息，提供外部应用 服务层实现。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Service
public class PayMerchantAppKeyServiceImpl extends ServiceImpl<PayMerchantAppKeyMapper, PayMerchantAppKey> implements PayMerchantAppKeyService {

    @Override
    public PayMerchantAppKey info(String userid) {
        QueryWrapper queryWrapper = new QueryWrapper().from(PayMerchantAppKeyTableDef.PAY_MERCHANT_APP_KEY).where(PAY_MERCHANT_APP_KEY.MERCHANT_ID.eq(userid));
        return mapper.selectOneByQuery(queryWrapper);
    }


    @Override
    public PayMerchantAppKey getByMerchantId(String appId) {
        QueryWrapper queryWrapper = QueryWrapper.create().from(PayMerchantAppKeyTableDef.PAY_MERCHANT_APP_KEY).where(PAY_MERCHANT_APP_KEY.MERCHANT_ID.eq(appId));
        return mapper.selectOneByQuery(queryWrapper);
    }
}