package pay.platform.api.servcie.impl;


import com.mybatisflex.core.query.QueryWrapper;
import com.mybatisflex.spring.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import pay.platform.api.servcie.PayMerchantAppKeyService;
import pay.platform.domain.PayMerchantAppKey;
import pay.platform.domain.table.PayMerchantAppKeyTableDef;
import pay.platform.mapper.PayMerchantAppKeyMapper;

/**
 * 商户扩展信息，提供外部应用 服务层实现。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Service
public class PayMerchantAppKeyServiceImpl extends ServiceImpl<PayMerchantAppKeyMapper, PayMerchantAppKey> implements PayMerchantAppKeyService {

    @Override
    public PayMerchantAppKey getByAppId(String appId) {
        QueryWrapper queryWrapper = QueryWrapper.create().from(PayMerchantAppKeyTableDef.PAY_MERCHANT_APP_KEY).where(PayMerchantAppKeyTableDef.PAY_MERCHANT_APP_KEY.APP_ID.eq(appId));
        return mapper.selectOneByQuery(queryWrapper);
    }
}