package pay.platform.core.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serial;
import java.io.Serializable;

/**
 * 参数VO
 */
@Data
@Accessors(chain = true)
public class ParamVO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "名称")
    private final String key;

    @Schema(description = "值")
    private final String value;
}