package pay.platform.mapper;

import com.mybatisflex.core.BaseMapper;
import com.mybatisflex.core.query.QueryWrapper;
import org.apache.ibatis.annotations.Mapper;
import pay.platform.domain.PayAgent;
import pay.platform.domain.table.PayAgentTableDef;

/**
 * 代理系统 映射层。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Mapper
public interface PayAgentMapper extends BaseMapper<PayAgent> {

    default void resetPassword(String username, String newPassword) {
        QueryWrapper queryWrapper = QueryWrapper.create().from(PayAgentTableDef.PAY_AGENT)
                .where(PayAgentTableDef.PAY_AGENT.USER_NAME.eq(username));
        PayAgent sysUser = selectOneByQuery(queryWrapper);
        sysUser.setPassword(newPassword);
        update(sysUser);
    }
}
