//package pay.platform.api.system.controller;
//
//import com.mybatisflex.core.paginate.Page;
//import io.swagger.v3.oas.annotations.Operation;
//import io.swagger.v3.oas.annotations.Parameter;
//import io.swagger.v3.oas.annotations.Parameters;
//import io.swagger.v3.oas.annotations.tags.Tag;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.*;
//import pay.platform.api.system.servcie.PayMerchantAppKeyService;
//import pay.platform.domain.PayMerchantAppKey;
//
//import java.io.Serializable;
//import java.util.List;
//
///**
// * 商户扩展信息，提供外部应用 控制层。
// *
// * @author mybatis-flex-helper automatic generation
// * @since 1.0
// */
//@RestController
//@RequestMapping("/PayMerchantAppKey")
//@Tag(name = "商户扩展信息，提供外部应用控制层")
//public class PayMerchantAppKeyController {
//
//    @Autowired
//    private PayMerchantAppKeyService PayMerchantAppKeyService;
//
//    /**
//     * 添加 商户扩展信息，提供外部应用
//     *
//     * @param PayMerchantAppKey 商户扩展信息，提供外部应用
//     * @return {@code true} 添加成功，{@code false} 添加失败
//     */
//    @PostMapping("/save")
//    @Operation(summary = "添加商户扩展信息，提供外部应用")
//    @Parameters(value = {
//            @Parameter(name = "id", description = "id"),
//
//            @Parameter(name = "merchantId", description = "商户id"),
//
//            @Parameter(name = "appId", description = "app_id"),
//
//            @Parameter(name = "appKey", description = "app_key"),
//
//            @Parameter(name = "appSecret", description = "app_secret"),
//
//            @Parameter(name = "status", description = "状态"),
//
//            @Parameter(name = "createUser", description = "创建人"),
//
//            @Parameter(name = "createTime", description = "创建时间"),
//
//            @Parameter(name = "updateUser", description = "修改人"),
//
//            @Parameter(name = "updateTime", description = "修改时间")
//    })
//
//    public boolean save(@RequestBody PayMerchantAppKey PayMerchantAppKey) {
//        return PayMerchantAppKeyService.save(PayMerchantAppKey);
//    }
//
//
//    /**
//     * 根据主键删除商户扩展信息，提供外部应用
//     *
//     * @param id 主键
//     * @return {@code true} 删除成功，{@code false} 删除失败
//     */
//    @DeleteMapping("/remove/{id}")
//    @Operation(summary = "根据主键删除商户扩展信息，提供外部应用")
//    @Parameters(value = {
//            @Parameter(name = "id", description = "id", required = true)
//    })
//    public boolean remove(@PathVariable Serializable id) {
//        return PayMerchantAppKeyService.removeById(id);
//    }
//
//
//    /**
//     * 根据主键更新商户扩展信息，提供外部应用
//     *
//     * @param PayMerchantAppKey 商户扩展信息，提供外部应用
//     * @return {@code true} 更新成功，{@code false} 更新失败
//     */
//    @PutMapping("/update")
//    @Operation(summary = "根据主键更新商户扩展信息，提供外部应用")
//    @Parameters(value = {
//            @Parameter(name = "id", description = "id", required = true),
//
//            @Parameter(name = "merchantId", description = "商户id"),
//
//            @Parameter(name = "appId", description = "app_id"),
//
//            @Parameter(name = "appKey", description = "app_key"),
//
//            @Parameter(name = "appSecret", description = "app_secret"),
//
//            @Parameter(name = "status", description = "状态"),
//
//            @Parameter(name = "createUser", description = "创建人"),
//
//            @Parameter(name = "createTime", description = "创建时间"),
//
//            @Parameter(name = "updateUser", description = "修改人"),
//
//            @Parameter(name = "updateTime", description = "修改时间")
//    })
//    public boolean update(@RequestBody PayMerchantAppKey PayMerchantAppKey) {
//        return PayMerchantAppKeyService.updateById(PayMerchantAppKey);
//    }
//
//
//    /**
//     * 查询所有商户扩展信息，提供外部应用
//     *
//     * @return 所有数据
//     */
//    @GetMapping("/list")
//    @Operation(summary = "查询所有商户扩展信息，提供外部应用")
//    public List<PayMerchantAppKey> list() {
//        return PayMerchantAppKeyService.list();
//    }
//
//
//    /**
//     * 根据商户扩展信息，提供外部应用主键获取详细信息。
//     *
//     * @param id PayMerchantAppKey主键
//     * @return 商户扩展信息，提供外部应用详情
//     */
//    @GetMapping("/getInfo/{id}")
//    @Operation(summary = "根据商户扩展信息，提供外部应用主键获取详细信息")
//    @Parameters(value = {
//            @Parameter(name = "id", description = "id", required = true)
//    })
//    public PayMerchantAppKey getInfo(@PathVariable Serializable id) {
//        return PayMerchantAppKeyService.getById(id);
//    }
//
//
//    /**
//     * 分页查询商户扩展信息，提供外部应用
//     *
//     * @param page 分页对象
//     * @return 分页对象
//     */
//    @GetMapping("/page")
//    @Operation(summary = "分页查询商户扩展信息，提供外部应用")
//    @Parameters(value = {
//            @Parameter(name = "pageNumber", description = "页码", required = true),
//            @Parameter(name = "pageSize", description = "每页大小", required = true)
//    })
//    public Page<PayMerchantAppKey> page(Page<PayMerchantAppKey> page) {
//        return PayMerchantAppKeyService.page(page);
//    }
//}