package pay.platform.api.system.servcie.impl;


import cn.hutool.core.util.RandomUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import pay.platform.api.system.servcie.PayAggregationService;
import pay.platform.core.common.domain.BaseService;
import pay.platform.domain.PayAggregation;
import pay.platform.domain.PayAggregationStore;
import pay.platform.mapper.PayAggregationMapper;

import java.util.ArrayList;
import java.util.List;

/**
 * 聚合支付 服务层实现。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Service
public class PayAggregationServiceImpl extends BaseService<PayAggregationMapper, PayAggregation> implements PayAggregationService {
    @Autowired
    private pay.platform.api.system.servcie.PayAggregationStoreService PayAggregationStoreService;

    @Override
    @Transactional
    public boolean savePayAggregation(PayAggregation payAggregation) {
        save(payAggregation);
        List<PayAggregationStore> storeList = new ArrayList<>();
        for (int i = 0; i < 7; i++) {
            PayAggregationStore PayAggregationStore = new PayAggregationStore();
//            PayAggregationStore.setAggregationId(payAggregation.getId());
            PayAggregationStore.setChannelId(payAggregation.getChannelId());
            PayAggregationStore.setStoreId(RandomUtil.randomNumbers(13));
            PayAggregationStore.setOperatorId(RandomUtil.randomNumbers(6));
            storeList.add(PayAggregationStore);

        }
        PayAggregationStoreService.saveBatch(storeList);
        return false;
    }
}