package pay.platform.api.system.servcie.impl;


import cn.hutool.core.bean.BeanUtil;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.query.QueryWrapper;
import org.springframework.stereotype.Service;
import pay.platform.api.system.model.query.PayPlatformSettingQuery;
import pay.platform.api.system.model.vo.PayPlatformSettingVO;
import pay.platform.api.system.servcie.PayPlatformSettingService;
import pay.platform.core.common.domain.BasePage;
import pay.platform.core.common.domain.BaseService;
import pay.platform.domain.PayPlatformSetting;
import pay.platform.domain.table.PayPlatformSettingTableDef;
import pay.platform.mapper.PayPlatformSettingMapper;

import java.util.List;

/**
 * 平台配置 服务层实现。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Service
public class PayPlatformSettingServiceImpl extends BaseService<PayPlatformSettingMapper, PayPlatformSetting> implements PayPlatformSettingService {

    @Override
    public BasePage<PayPlatformSettingVO> queryPage(PayPlatformSettingQuery query) {
        QueryWrapper queryWrapper = QueryWrapper.create().from(PayPlatformSettingTableDef.PAY_PLATFORM_SETTING).where("1 = 1");
        Page<PayPlatformSetting> page = mapper.paginate(new Page<>(query.getCurrent(), query.getSize()), queryWrapper);
        List<PayPlatformSettingVO> vos = BeanUtil.copyToList(page.getRecords(), PayPlatformSettingVO.class);
        return new BasePage<>(page.getPageNumber(), page.getPageSize(), page.getTotalRow(), vos);
    }
}