package pay.platform.api.system.model.vo;

import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 通道管理 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
public class HomeVO {
    private String merchantName;
    private TotalVO today = new TotalVO();
    private TotalVO yesterday = new TotalVO();
    private TotalVO lastWeek = new TotalVO();
    private TotalVO lastMonth = new TotalVO();


    public HomeVO(String merchantName, TotalVO today, TotalVO yesterday, TotalVO lastWeek, TotalVO lastMonth) {
        this.merchantName = merchantName;
        this.today = today;
        this.yesterday = yesterday;
        this.lastWeek = lastWeek;
        this.lastMonth = lastMonth;
    }

    @Data
    @NoArgsConstructor
    @Builder
    public static class TotalVO {

        private QuantityVO quantity = new QuantityVO();
        private AmountVO amount = new AmountVO();
        private EarningsVO earnings = new EarningsVO();

        public TotalVO(QuantityVO quantity, AmountVO amount, EarningsVO earnings) {
            this.quantity = quantity;
            this.amount = amount;
            this.earnings = earnings;
        }
    }
}
