package pay.platform.api.servcie;


import com.mybatisflex.core.service.IService;
import pay.platform.domain.PayDailyTotal;
import pay.platform.domain.PayOrder;

/**
 * 支付订单日流水 服务层。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
public interface PayDailyTotalService extends IService<PayDailyTotal> {
    /**
     * 统计当天支付金额
     *
     * @param agentId
     * @param merchantId
     * @return
     */
    PayDailyTotal totalDailyPayAmount(String channelId);

    /**
     * 统计当前天支付金额
     *
     * @param payOrder
     */
    void addDailyTotal(PayOrder payOrder);

    void addWeekTotal(PayOrder payOrder);
}